package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_formula")
public class MaintFormula implements Serializable{ 
 
	private static final long serialVersionUID = 5000952323409569256L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	 	
	@Id
	@Column(name="process_id")
	private String processId;
	
	@Column(name="process_input")
	private String processInput;
	
	@Column(name="process_factor")
	private String processFactor;
	
	@Column(name="process_desc")
	private String processDesc;
	
	@Column(name="no_of_inputs")
	private String noOfInputs;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getProcessId() {
		return processId;
	}

	public void setProcessId(String processId) {
		this.processId = processId;
	}

	public String getProcessInput() {
		return processInput;
	}

	public void setProcessInput(String processInput) {
		this.processInput = processInput;
	}

	public String getProcessFactor() {
		return processFactor;
	}

	public void setProcessFactor(String processFactor) {
		this.processFactor = processFactor;
	}

	public String getProcessDesc() {
		return processDesc;
	}

	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	public String getNoOfInputs() {
		return noOfInputs;
	}

	public void setNoOfInputs(String noOfInputs) {
		this.noOfInputs = noOfInputs;
	}	
	
	
	
} 
